<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../.resources/report.css" type="text/css"/><link rel="shortcut icon" href="../.resources/report.gif" type="image/gif"/><title>TokenMgrError.java</title><link rel="stylesheet" href="../.resources/prettify.css" type="text/css"/><script type="text/javascript" src="../.resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../.sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">testBundle</a> &gt; <a href="index.source.html" class="el_package">org.apache.jute.compiler.generated</a> &gt; <span class="el_source">TokenMgrError.java</span></div><h1>TokenMgrError.java</h1><pre class="source lang-java linenums">/* Generated By:JavaCC: Do not edit this line. TokenMgrError.java Version 3.0 */
/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * &quot;License&quot;); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.jute.compiler.generated;

public class TokenMgrError extends Error
{
   /*
    * Ordinals for various reasons why an Error of this type can be thrown.
    */

   /**
    * Lexical error occured.
    */
   static final int LEXICAL_ERROR = 0;

   /**
    * An attempt wass made to create a second instance of a static token manager.
    */
   static final int STATIC_LEXER_ERROR = 1;

   /**
    * Tried to change to an invalid lexical state.
    */
   static final int INVALID_LEXICAL_STATE = 2;

   /**
    * Detected (and bailed out of) an infinite loop in the token manager.
    */
   static final int LOOP_DETECTED = 3;

   /**
    * Indicates the reason why the exception is thrown. It will have
    * one of the above 4 values.
    */
   int errorCode;

   /**
    * Replaces unprintable characters by their espaced (or unicode escaped)
    * equivalents in the given string
    */
   protected static final String addEscapes(String str) {
<span class="fc" id="L59">      StringBuffer retval = new StringBuffer();</span>
      char ch;
<span class="fc bfc" id="L61" title="All 2 branches covered.">      for (int i = 0; i &lt; str.length(); i++) {</span>
<span class="pc bpc" id="L62" title="7 of 10 branches missed.">        switch (str.charAt(i))</span>
        {
           case 0 :
<span class="fc" id="L65">              continue;</span>
           case '\b':
<span class="nc" id="L67">              retval.append(&quot;\\b&quot;);</span>
<span class="nc" id="L68">              continue;</span>
           case '\t':
<span class="nc" id="L70">              retval.append(&quot;\\t&quot;);</span>
<span class="nc" id="L71">              continue;</span>
           case '\n':
<span class="nc" id="L73">              retval.append(&quot;\\n&quot;);</span>
<span class="nc" id="L74">              continue;</span>
           case '\f':
<span class="nc" id="L76">              retval.append(&quot;\\f&quot;);</span>
<span class="nc" id="L77">              continue;</span>
           case '\r':
<span class="nc" id="L79">              retval.append(&quot;\\r&quot;);</span>
<span class="nc" id="L80">              continue;</span>
           case '\&quot;':
<span class="nc" id="L82">              retval.append(&quot;\\\&quot;&quot;);</span>
<span class="nc" id="L83">              continue;</span>
           case '\'':
<span class="nc" id="L85">              retval.append(&quot;\\\'&quot;);</span>
<span class="nc" id="L86">              continue;</span>
           case '\\':
<span class="fc" id="L88">              retval.append(&quot;\\\\&quot;);</span>
<span class="fc" id="L89">              continue;</span>
           default:
<span class="pc bpc" id="L91" title="1 of 4 branches missed.">              if ((ch = str.charAt(i)) &lt; 0x20 || ch &gt; 0x7e) {</span>
<span class="fc" id="L92">                 String s = &quot;0000&quot; + Integer.toString(ch, 16);</span>
<span class="fc" id="L93">                 retval.append(&quot;\\u&quot; + s.substring(s.length() - 4, s.length()));</span>
<span class="fc" id="L94">              } else {</span>
<span class="fc" id="L95">                 retval.append(ch);</span>
              }
              continue;
        }
      }
<span class="fc" id="L100">      return retval.toString();</span>
   }

   /**
    * Returns a detailed message for the Error when it is thrown by the
    * token manager to indicate a lexical error.
    * Parameters : 
    *    EOFSeen     : indicates if EOF caused the lexicl error
    *    curLexState : lexical state in which this error occured
    *    errorLine   : line number when the error occured
    *    errorColumn : column number when the error occured
    *    errorAfter  : prefix that was seen before this error occured
    *    curchar     : the offending character
    * Note: You can customize the lexical error message by modifying this method.
    */
   protected static String LexicalError(boolean EOFSeen, int lexState, int errorLine, int errorColumn, String errorAfter, char curChar) {
<span class="fc bfc" id="L116" title="All 2 branches covered.">      return(&quot;Lexical error at line &quot; +</span>
           errorLine + &quot;, column &quot; +
           errorColumn + &quot;.  Encountered: &quot; +
<span class="fc" id="L119">           (EOFSeen ? &quot;&lt;EOF&gt; &quot; : (&quot;\&quot;&quot; + addEscapes(String.valueOf(curChar)) + &quot;\&quot;&quot;) + &quot; (&quot; + (int)curChar + &quot;), &quot;) +</span>
<span class="fc" id="L120">           &quot;after : \&quot;&quot; + addEscapes(errorAfter) + &quot;\&quot;&quot;);</span>
   }

   /**
    * You can also modify the body of this method to customize your error messages.
    * For example, cases like LOOP_DETECTED and INVALID_LEXICAL_STATE are not
    * of end-users concern, so you can return something like : 
    *
    *     &quot;Internal Error : Please file a bug report .... &quot;
    *
    * from this method for such cases in the release version of your parser.
    */
   public String getMessage() {
<span class="nc" id="L133">      return super.getMessage();</span>
   }

   /*
    * Constructors of various flavors follow.
    */

<span class="fc" id="L140">   public TokenMgrError() {</span>
<span class="fc" id="L141">   }</span>

   public TokenMgrError(String message, int reason) {
<span class="fc" id="L144">      super(message);</span>
<span class="fc" id="L145">      errorCode = reason;</span>
<span class="fc" id="L146">   }</span>

   public TokenMgrError(boolean EOFSeen, int lexState, int errorLine, int errorColumn, String errorAfter, char curChar, int reason) {
<span class="fc" id="L149">      this(LexicalError(EOFSeen, lexState, errorLine, errorColumn, errorAfter, curChar), reason);</span>
<span class="fc" id="L150">   }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="$jacoco.home.url$">JaCoCo</a> $qualified.bundle.version$</span></div></body></html>